﻿; Windows, Gadgets, Menus
; DK1IO 08/07

Macro SetGadgCol(GadgetNr, TxtColor, BckColor)
  SetGadgetColor(GadgetNr, #PB_Gadget_FrontColor, TxtColor)
  SetGadgetColor(GadgetNr, #PB_Gadget_BackColor, BckColor)
EndMacro

Procedure SetListIconColor(GadgNr, TxtCol, BckCol)
  Define hGadg = GadgetID(GadgNr)
  SendMessage_(hGadg, #LVM_SETTEXTCOLOR, 0, TxtCol)
  SendMessage_(hGadg, #LVM_SETTEXTBKCOLOR, 0, BckCol)
  SendMessage_(hGadg, #LVM_SETBKCOLOR, 0, BckCol)
EndProcedure

hWnd = OpenWindow(#Wnd_Op, 0, 0, 1034, 750, "Log DK1IO", #PB_Window_ScreenCentered | #PB_Window_MaximizeGadget | #PB_Window_MinimizeGadget | #PB_Window_TitleBar | #PB_Window_Invisible)
If hWnd
  Define i
  ContainerGadget(#Cnt_Log, 10, 8, 600, 270, #PB_Container_Flat) : SetGadgetColor(#Cnt_Log, #PB_Gadget_BackColor, #CntCol)
    SetGadgetFont(#PB_Default, Font5)
    TextGadget(#Txt_Rufzeichen, 20, 26, 80, 20, "Rufzeichen", #SS_NOTIFY) : SetGadgCol(#Txt_Rufzeichen, #DBlue, #CntCol)
    TextGadget(#Txt_Via, 20, 56, 80, 20, "Via") : SetGadgCol(#Txt_Via, #DBlue, #CntCol)
    TextGadget(#Txt_RSTs, 20,86, 80, 20, "RST geg") : SetGadgCol(#Txt_RSTs, #DBlue, #CntCol)
    TextGadget(#Txt_Name, 20, 116, 80, 20, "Name", #SS_NOTIFY) : SetGadgCol(#Txt_Name, #DBlue, #CntCol)
    TextGadget(#Txt_QTH, 20, 146, 80, 20, "QTH", #SS_NOTIFY) : SetGadgCol(#Txt_QTH, #DBlue, #CntCol)
    TextGadget(#Txt_LfdNr, 20, 176, 80, 20, "Lfd. Nr.") : SetGadgCol(#Txt_LfdNr, #DBlue, #CntCol) : HideGadget(#Txt_LfdNr, 1)
    TextGadget(#Txt_Band0, 20, 176, 80, 20, "Band") : SetGadgCol(#Txt_Band0, #DBlue, #CntCol)
    TextGadget(#Txt_Power0, 20, 206, 80, 20, "Leistung", #SS_NOTIFY) : SetGadgCol(#Txt_Power0, #DBlue, #CntCol)
    TextGadget(#Txt_Land0, 270, 26, 80, 20, "Land") : SetGadgCol(#Txt_Land0, #DBlue, #CntCol)
    TextGadget(#Txt_AndRufz, 270, 56, 80, 20, "And. Rufz.") : SetGadgCol(#Txt_AndRufz, #DBlue, #CntCol)
    TextGadget(#Txt_RSTr, 270, 86, 80, 20, "RST erh") : SetGadgCol(#Txt_RSTr, #DBlue, #CntCol)
    TextGadget(#Txt_IOTA, 270, 116, 80, 20, "IOTA") : SetGadgCol(#Txt_IOTA, #DBlue, #CntCol)
    TextGadget(#Txt_Bemerkungen, 270, 146, 100, 20, "Bemerkungen", #SS_NOTIFY) : SetGadgCol(#Txt_Bemerkungen, #DBlue, #CntCol)
    TextGadget(#Txt_Locator, 270, 176, 80, 20, "Locator", #SS_NOTIFY) : SetGadgCol(#Txt_Locator, #DBlue, #CntCol)
    TextGadget(#Txt_Mode0, 270, 206, 80, 20, "Mode") : SetGadgCol(#Txt_Mode0, #DBlue, #CntCol)
    TextGadget(#Txt_QSONr0, 20, 236, 80, 20, "QSO Nr.") : SetGadgCol(#Txt_QSONr0, #DBlue, #CntCol)
    TextGadget(#Txt_Band, 110, 174, 80, 20, "", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE) : SetGadgCol(#Txt_Band, #DBlue, #LBlue)
    TextGadget(#Txt_Mode, 370, 204, 80, 20, "CW", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE) : SetGadgCol(#Txt_Mode, #DBlue, #LBlue)
    TextGadget(#Txt_Power, 110, 204, 80, 20, "25 W", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE) : SetGadgCol(#Txt_Power, #DBlue, #LBlue) : SetGadgetData(#Txt_Power, 25)
    TextGadget(#Txt_QSONr, 110, 234, 80, 20, "", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE) : SetGadgCol(#Txt_QSONr, #DBlue, #LBlue)
    TextGadget(#Txt_Land, 370, 24, 216, 20, "", #WS_BORDER | #SS_CENTERIMAGE) : SetGadgCol(#Txt_Land, #DBlue, #LBlue)
    TextGadget(#Txt_Entf, 460, 174, 70, 20, "", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE) : SetGadgCol(#Txt_Entf, #DBlue, #LBlue)
    TextGadget(#Txt_Ri, 546, 174, 40, 20, "", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY) : SetGadgCol(#Txt_Ri, #DBlue, #LBlue)
    StringGadget(#Str_Rufzeichen, 110, 24, 136, 20, "", #PB_String_BorderLess | #WS_BORDER | #ES_UPPERCASE | #ES_AUTOHSCROLL)
    StringGadget(#Str_Via, 110, 54, 136, 20, "", #PB_String_BorderLess | #WS_BORDER | #ES_UPPERCASE)
    StringGadget(#Str_RSTs, 110, 84, 40, 20, "", #PB_String_BorderLess | #WS_BORDER | #ES_NUMBER | #ES_CENTER)
    StringGadget(#Str_Name, 110, 114, 136, 20, "", #PB_String_BorderLess | #WS_BORDER)
    StringGadget(#Str_QTH, 110, 144, 136, 20, "", #PB_String_BorderLess | #WS_BORDER | #ES_AUTOHSCROLL)
    StringGadget(#Str_LfdNr, 110, 174, 80, 20, "", #PB_String_BorderLess | #WS_BORDER | #ES_UPPERCASE | #ES_CENTER) : HideGadget(#Str_LfdNr, 1)
    StringGadget(#Str_AndRufz, 370, 54, 136, 20, "", #PB_String_BorderLess | #WS_BORDER | #ES_UPPERCASE)
    StringGadget(#Str_RSTr, 370, 84, 40, 20, "", #PB_String_BorderLess | #WS_BORDER | #ES_NUMBER | #ES_CENTER)
    StringGadget(#Str_IOTA, 370, 114, 70, 20, "", #PB_String_BorderLess | #WS_BORDER | #ES_CENTER | #ES_UPPERCASE)
    StringGadget(#Str_Bemerkungen, 370, 144, 216, 20, "", #PB_String_BorderLess | #WS_BORDER | #ES_AUTOHSCROLL)
    StringGadget(#Str_Locator, 370, 174, 70, 20, "", #PB_String_BorderLess | #WS_BORDER | #ES_UPPERCASE | #ES_CENTER)
    StringGadget(#Str_Comment, 370, 144, 216, 20, "", #PB_String_BorderLess | #WS_BORDER | #ES_AUTOHSCROLL)
    HideGadget(#Str_Comment, 1) : SetGadgCol(#Str_Comment, #DBlue, #LogCol)
    StringGadget(#Str_UTC, 110, 114, 136, 20, "", #PB_String_BorderLess | #WS_BORDER | #ES_AUTOHSCROLL)
    HideGadget(#Str_UTC, 1) : SetGadgCol(#Str_UTC, #DBlue, #LogCol)
    For i = #Str_Rufzeichen To #Str_Locator
      SetGadgCol(i, #DBlue, #LogCol)
    Next
    TextGadget(#Btn_Log, 370, 234, 80, 24, "Log", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
    SetGadgCol(#Btn_Log, #DBlue, #BtnCol)
    TextGadget(#Btn_QSLa, 490, 234, 80, 24, "QSL", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
    SetGadgetFont(#PB_Default, Font2)
    TextGadget(#Btn_RSTsDn, 158, 84, 20, 20, Chr($71), #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY) : SetGadgetFont(#Btn_RSTsDn, Font2)
    TextGadget(#Btn_RSTsUp, 178, 84, 20, 20, Chr($70), #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY) : SetGadgetFont(#Btn_RSTsUp, Font2)
    TextGadget(#Btn_PwrDn, 191, 204, 20, 20, Chr($71), #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY) : SetGadgetFont(#Btn_PwrDn, Font2)
    TextGadget(#Btn_PwrUp, 211, 204, 20, 20, Chr($70), #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY) : SetGadgetFont(#Btn_PwrUp, Font2)
  CloseGadgetList()
  
  ContainerGadget(#Cnt_SpTxt, 620, 8, 404, 190, #PB_Container_Flat) : SetGadgetColor(#Cnt_SpTxt, #PB_Gadget_BackColor, #CntCol)
    SetGadgetFont(#PB_Default, Font5)
    TextGadget(#Btn_CQ, 28, 20, 72, 24, "CQ", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
    TextGadget(#Btn_Anr, 118, 20, 72, 24, "Anruf", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
    TextGadget(#Btn_de, 208, 20, 72, 24, "..de..", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
    TextGadget(#Btn_de2, 298, 20, 72, 24, "..de..(2X)", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
    TextGadget(#Btn_Copy, 28, 60, 72, 24, "Copy?", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
    TextGadget(#Btn_BTU, 118, 60, 72, 24, "BTU", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
    TextGadget(#Btn_QRZ, 208, 60, 72, 24, "QRZ?", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
    TextGadget(#Btn_SK, 298, 60, 72, 24, "SK", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
    TextGadget(#Btn_Fin, 28, 100, 72, 24, "Finale", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
    TextGadget(#Btn_DK1IO, 118, 100, 72, 24, "DK1IO", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
    TextGadget(#Btn_Rig, 208, 100, 72, 24, "Rig", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
    TextGadget(#Btn_Vorst, 298, 100, 72, 24, "Vorst.", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
    TextGadget(#Btn_Begr, 28, 140, 72, 24, "Begr.", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
    TextGadget(#Btn_TnxInfo, 118, 140, 72, 24, "Tnx Info", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
    TextGadget(#Btn_TnxBye, 208, 140, 72, 24, "Tnx Bye", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
    TextGadget(#Btn_Bye, 298, 140, 72, 24, "Bye", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
  CloseGadgetList()
  
  ContainerGadget(#Cnt_RXTX, 620, 205, 312, 73, #PB_Container_Flat) : SetGadgetColor(#Cnt_RXTX, #PB_Gadget_BackColor, #CntCol)
    TextGadget(#Btn_RX, 28, 24, 72, 24, "RX", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
    TextGadget(#Btn_TX, 118, 24, 72, 24, "TX", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
    TextGadget(#Btn_Tune, 208, 24, 72, 24, "Tune", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
  CloseGadgetList()
  
  ContainerGadget(#Cnt_Sprache, 620, 290, 312, 70, #PB_Container_Flat) : SetGadgetColor(#Cnt_Sprache, #PB_Gadget_BackColor, #CntCol)
  TextGadget(#Btn_Sprache, 118, 23, 72, 24, "E",  #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
  TextGadget(#Txt_Sprache, 20, 26, 70, 20, "Sprache") : SetGadgCol(#Txt_Sprache, #DBlue, #CntCol)
  CloseGadgetList()
  
  ContainerGadget(#Cnt_WX, 620, 370, 312, 124, #PB_Container_Flat) : SetGadgetColor(#Cnt_WX, #PB_Gadget_BackColor, #CntCol)
    StringGadget(#Str_WXD, 20, 20, 272, 20, "WX D", #PB_String_BorderLess | #WS_BORDER | #ES_AUTOHSCROLL)
    StringGadget(#Str_WXE, 20, 50, 272, 20, "WX E", #PB_String_BorderLess | #WS_BORDER | #ES_AUTOHSCROLL)
    StringGadget(#Str_Temp, 20, 80, 60, 20, "Temp", #PB_String_BorderLess | #WS_BORDER | #ES_CENTER)
    For i = #Str_WXD To #Str_Temp
      SetGadgCol(i, #DBlue, #LogCol)
    Next
  CloseGadgetList()
    
  ContainerGadget(#Cnt_Uhr, 750, 566, 200, 100, #PB_Container_Flat)
    TextGadget(#Txt_Datum, 0, 0, 200, 50, "", #PB_Text_Center | #SS_CENTERIMAGE) : SetGadgCol(#Txt_Datum, #Yellow, #DBlue) : SetGadgetFont(#Txt_Datum, Font9)
    TextGadget(#Txt_Zeit, 0, 50, 200, 50, "", #PB_Text_Center | #SS_CENTERIMAGE) : SetGadgCol(#Txt_Zeit, #Yellow, #DBlue) : SetGadgetFont(#Txt_Zeit, Font9)
  CloseGadgetList()
  
  TextGadget(#Txt_Freq, 90, 700, 120, 20, "", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY) : SetGadgCol(#Txt_Freq, #DBlue, #BtnCol)
  TextGadget(#Txt_IMD, 370, 700, 120, 20, "IMD: ", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE) : SetGadgCol(#Txt_IMD, #DBlue, #LBlue)
  TextGadget(#Txt_SMeter, 680, 544, 15, 20, "", #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE)
  TextGadget(#Btn_Dummy, 0, 0, 0, 0, "")

  SetGadgetFont(#PB_Default, Font4)
  TextGadget(#Btn_FreqDn, 524, 615, 20, 70, Chr($71), #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
  TextGadget(#Btn_FreqUp, 524, 544, 20, 70, Chr($70), #WS_BORDER | #PB_Text_Center | #SS_CENTERIMAGE | #SS_NOTIFY)
  For i = #Btn_QSLa To #Btn_RSTsUp
    SetGadgCol(i, #DBlue, #BtnCol)
  Next
  
  For i = #Btn_Anr To #Btn_Vorst
    SetGadgCol(i, #DBlue, #BtnCol)
  Next
  
  SetGadgetFont(#PB_Default, Font5)
  
  FrameGadget(#Fme_Wf, 9, 544, 514, 141, "", #PB_Frame_Flat)
  SetGadgetFont(#PB_Default, Font6)
  StringGadget(#Str_Update0, 0, 0, 0, 0, "", #PB_String_BorderLess)
  HideGadget(#Str_Update0, 1)
  SetGadgCol(#Str_Update0, #LogCol, #DBlue)
  ListIconGadget(#LI_QSOB4, 10, 540, 1004, 160, "", 0, #PB_ListIcon_FullRowSelect | #PB_ListIcon_GridLines) : SetListIconColor(#LI_QSOB4, #DBlue, #LogCol) : HideGadget(#LI_QSOB4, 1)
  SendMessage_(GadgetID(#LI_QSOB4), #LVM_SETEXTENDEDLISTVIEWSTYLE, #LVS_EX_GRIDLINES, -1)
  
  ImageGadget(#Img_Wf, 10, 576, 512, 90, 0)
  SetGadgetFont(#PB_Default, Font3)
  EditorGadget(#Edt_PSKRXTxt, 10, 290, 600, 242, #PB_Editor_ReadOnly) : SetGadgCol(#Edt_PSKRXTxt, #DDGreen, RGB(255, 255, 223))
  SetGadgetFont(#Edt_PSKRXTxt, Font1)
  SendMessage_(GadgetID(#Edt_PSKRXTxt), #EM_SETTARGETDEVICE, #Null, #False)
  SendMessage_(GadgetID(#Edt_PSKRXTxt), #EM_SETEVENTMASK, 0, #ENM_MOUSEEVENTS)
  EditorGadget(#Edt_PSKTXTxt, 10, 290, 600, 242) : HideGadget(#Edt_PSKTXTxt, 1) : SetGadgCol(#Edt_PSKTXTxt, #Red, -1)
  SendMessage_(GadgetID(#Edt_PSKTXTxt), #EM_SETTARGETDEVICE, #Null, #False)
  SendMessage_(GadgetID(#Edt_PSKTXTxt), #EM_SETEVENTMASK, 0, #ENM_KEYEVENTS)
  format\cbSize = SizeOf(CHARFORMAT) : format\dwMask = #CFM_COLOR
  gtle\flags = #GTL_DEFAULT : gtle\codepage = #CP_ACP
  ste\flags = #ST_SELECTION : ste\codepage = #CP_ACP
  
EndIf

If OpenWindow(#Wnd_Log, 215, 0, 850, 612, "Log", #PB_Window_ScreenCentered | #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_SizeGadget | #PB_Window_Invisible | #PB_Window_TitleBar )
  Define iW = WindowWidth(1) - 40, iH = WindowHeight(1) - 30
  SetGadgetFont(#PB_Default, Font6)
  ListIconGadget(#LI_Log, (WindowWidth(1) - iW) / 2, (WindowHeight(1) - iH) / 2, iW, iH, "", 0, #PB_ListIcon_FullRowSelect | #PB_ListIcon_GridLines)
  SetListIconColor(#LI_Log, #DBlue, #LogCol)
  SendMessage_(GadgetID(#LI_Log), #LVM_SETEXTENDEDLISTVIEWSTYLE, #LVS_EX_GRIDLINES, -1)
  StringGadget(#Str_Update1, 0, 0, 0, 0, "", #PB_String_BorderLess)
  HideGadget(#Str_Update1, 1)
  SetGadgCol(#Str_Update1, #LogCol, #DBlue)
EndIf


; IDE Options = PureBasic 5.61 (Windows - x86)
; CursorPosition = 98
; FirstLine = 85
; Folding = -
; CPU = 1
; DisableDebugger
; IncludeVersionInfo
; VersionField0 = 2.0.0
; VersionField1 = 3.0.0
; VersionField2 = Reinhard Lipkow
; VersionField3 = Log DK1IO
; VersionField6 = Include-Datei zum Einrichten der Gadgets und Windows
; VersionField13 = dk1io@arcor.de
; EnableUnicode