﻿; Subclassing- und Callback-Procedures

EnableExplicit

Procedure WindowCallback(hWnd, uMsg, wParam, lParam)
  iRes = #PB_ProcessPureBasicEvents
  Define iActListIcon
  Select uMsg
    Case #WM_CTLCOLORSTATIC
      Select lParam
        Case GadgetID(#Cnt_Log), GadgetID(#Cnt_SpTxt), GadgetID(#Cnt_RXTX), GadgetID(#Cnt_WX)
          SetBkMode_(wParam, #TRANSPARENT)
          SetTextColor_(wParam, FrameTextForeground)
          iRes = FrameTextBackGround
      EndSelect
    Case #WM_MOUSEWHEEL
      Define iMWDir = wParam
    Case #WM_NOTIFY
      If GetActiveWindow() = #Wnd_Op
        iActListIcon = #LI_QSOB4
      Else
        iActListIcon = #LI_Log
      EndIf
      Define.MSGFILTER *pnmh = lParam
      Select *pnmh\NMHDR\idFrom
        Case iActListIcon
          Select *pnmh\NMHDR\code
            Case #NM_CLICK, #NM_RCLICK
              Define.NMITEMACTIVATE *lpnmitem = lParam
              iRow = *lpnmitem\iItem
              iCol = *lpnmitem\iSubItem
              If *pnmh\NMHDR\code = #NM_RCLICK : bRClick = #True : EndIf
            Case #LVN_COLUMNCLICK
              Define.NMLISTVIEW *pnmv = lParam
              iCol = *pnmv\iSubItem
              If GetGadgetItemText(#LI_QSOB4, -1, iCol) = "RowID"
                HideGadget(#Str_Update0, 1) : HideGadget(#LI_QSOB4, 1)
                SetGadgetData(#LI_QSOB4, #False)
                ClearGadgetItems(#LI_QSOB4)
                HideGadget(#Txt_Datum, 0) : HideGadget(#Txt_Zeit, 0)
                HideGadget(#Img_Wf, 0) : HideGadget(#Btn_FreqDn, 0) : HideGadget(#Btn_FreqUp, 0)
                HideGadget(#Txt_Freq, 0) : HideGadget(#Txt_IMD, 0) : HideGadget(#Txt_SMeter, 0)
                PB_Gadget_SendGadgetCommand(GadgetID(#Btn_RX), #PB_EventType_LeftClick)
              EndIf
            Case #NM_CUSTOMDRAW
              Define.NMLVCUSTOMDRAW *LVCDHeader = lParam
              Select *LVCDHeader\nmcd\dwDrawStage
                Case #CDDS_PREPAINT
                  iRes = #CDRF_NOTIFYITEMDRAW
                Case #CDDS_ITEMPREPAINT
                  If *LVCDHeader\nmcd\dwItemSpec = iRow And bRClick And iActListIcon = #LI_Log
                    *LVCDHeader\clrText = #LogCol
                    *LVCDHeader\clrTextBk = #DBlue
                    bRClick = #False
                  EndIf
                  iRes = #CDRF_NOTIFYSUBITEMDRAW
                Case #CDDS_SUBITEM | #CDDS_ITEMPREPAINT
                  Select GetGadgetItemText(iActListIcon, -1, *LVCDHeader\iSubItem)
                    Case "Neu", "QSLe", "QSLa", "DL0NRU", "QSLPrt"
                      SelectObject_(*LVCDHeader\nmcd\hDC, Font7)
                    Default 
                      SelectObject_(*LVCDHeader\nmcd\hDC, Font6) 
                  EndSelect
                  iRes = #CDRF_NEWFONT
              EndSelect
          EndSelect
      EndSelect
    Case #WM_RBUTTONDOWN
      Reset()
  EndSelect
  ProcedureReturn iRes
EndProcedure 

Procedure New_Edt_PSKRXTxt_Proc(hWnd, uMsg, wParam, lParam)
  iRes = CallWindowProc_(Old_Edt_PSKRXTxt_Proc, hWnd, uMsg, wParam, lParam)
  If uMsg = #WM_LBUTTONDOWN Or uMsg = #WM_RBUTTONDOWN
      Define i, ii, int1, int2
      Define.s str1, str2
      GetCursorPos_(pnt1)
      MapWindowPoints_(#Null, GadgetID(#Edt_PSKRXTXt), pnt1, 1)
      int1 = SendMessage_(GadgetID(#Edt_PSKRXTxt), #EM_CHARFROMPOS, 0, @pnt1)
      int2 = SendMessage_(GadgetID(#Edt_PSKRXTxt), #EM_EXLINEFROMCHAR , 0, int1)
      i = int1 + int2
      Repeat
        i - 1
        If i < 0 : Break : EndIf
        str1 = Mid(GetGadgetText(#Edt_PSKRXTxt), i, 1)
      Until  SingleAlphaNumeric(str1) = #False
      ii = i
      Repeat
        ii + 1
        If ii > Len(GetGadgetText(#Edt_PSKRXTxt)) : Break : EndIf
        str1 = Mid(GetGadgetText(#Edt_PSKRXTxt), ii, 1)
      Until  SingleAlphaNumeric(str1) = #False
      str1 = Trim(Mid(GetGadgetText(#Edt_PSKRXTxt), i, ii - i + 1))
      If Like(Left(str1, 1), "*", #False) = #False
        str1 = Right(str1, Len(str1) - 1)
      EndIf
      If Like(Right(str1, 1), "*", #False) = #False
        str1 = Left(str1, Len(str1) - 1)
      EndIf
      Select #True
        Case Like(str1, "@@-###", #True)
          IOTA(str1)
          ProcedureReturn #PB_ProcessPureBasicEvents
        Case Like(str1, "###", #True)
          SetGadgetText(#Str_RSTr, str1)
          ProcedureReturn #PB_ProcessPureBasicEvents
        Case Like(str1, "@@##@@", #True)
          SetGadgetText(#Str_Locator, str1)
          ProcedureReturn #PB_ProcessPureBasicEvents
        Case Like(str1, "$", #False)
          str1 = UCase(Left(str1, 1)) + LCase(Right(str1, Len(str1) - 1))
          If str1 <> ""
            Select uMsg
              Case #WM_LBUTTONDOWN
                SetGadgetText(#Str_Name, str1)
              Case #WM_RBUTTONDOWN
                If wParam & #MK_CONTROL
                  SetGadgetText(#Str_QTH, GetGadgetText(#Str_QTH) + " " + str1)
                Else
                  SetGadgetText(#Str_QTH, str1)
                EndIf
            EndSelect
          EndIf
        Case Like(str1, "§", #False)
          SetGadgCol(#Str_Rufzeichen, #DBlue, #LogCol)
          SetGadgCol(#Txt_Rufzeichen, #DBlue, #CntCol)
          SetGadgetText(#Str_Rufzeichen, str1)
          RufzGadgLostFocus(#Str_Rufzeichen)
      EndSelect
  EndIf
  ProcedureReturn iRes
EndProcedure

Procedure New_Edt_PSKTXTxt_Proc(hWnd, uMsg, wParam, lParam)
  iRes = CallWindowProc_(Old_Edt_PSKTXTxt_Proc, hWnd, uMsg, wParam, lParam)
  If uMsg = #WM_CHAR
    PSKCore_SendTXCharacter(wParam, 0)
  EndIf
  ProcedureReturn iRes
EndProcedure

Procedure New_PSK_Proc(hWnd, uMsg, wParam, lParam)
  Define i, ii, x, y, iColor, str$
  Select uMsg
    Case #PSK_DataReady
      If GetGadgetData(#LI_QSOB4) = #False And GetGadgetData(#Btn_FreqDn) = #True
        iRXFreq = wParam : PSKCore_SetRXFrequency(iRXFreq, 10, 0)
        iLineRX = Int(iRXFreq / 3.90625) - 64
        iSigQuality = lParam 
        PSKCore_GetFFTData(@lFFTData(0), 64, 576)
        CopyMemory(*ImgMemMovSrce, *ImgMemMovDest, iImgMemMovSize)
        For x = 64 To 576
          Select lFFTData(x)
            Case 768 To 2048
              iColor = RGB(0, 0, 255)
            Case 736 To 767
              iColor = RGB (0, 32, 255)
            Case 704 To 735
              iColor = RGB (0, 64, 255)
            Case 672 To 703
              iColor = RGB (0, 96, 255)
            Case 640 To 671
              iColor = RGB (0, 128, 255)
            Case 608 To 639
              iColor = RGB (0, 160, 255)
            Case 576 To 607
              iColor = RGB (0, 192, 255)
            Case 544 To 575
              iColor = RGB (0, 224, 255)
            Case 512 To 543
              iColor = RGB (0, 255, 255)
            Case 480 To 511
              iColor = RGB (0, 224, 224)
            Case 448 To 479
              iColor = RGB (0, 192, 192)
            Case 416 To 447
              iColor = RGB (0, 160, 160)
            Case 384 To 415
              iColor = RGB (0, 128, 128)
            Case 352 To 383
              iColor = RGB (0, 92, 92)
            Default
              iColor = RGB(96, 0, 0)
          EndSelect
          PokeL(*ImgNewLin + (x - 64) * 3, iColor)
        Next
        SetGadgetState(#Img_Wf, ImageID(0))
        ;PSKCore_SetTXFrequency(iRXFreq)
        i = Val(sFreq) + iRXFreq - 1500
        str$ = RSet(Str(i), 9, "0")
        WriteSerialPortString(#COM_FT991, "FB" + str$ + ";")
        PrintFreq()
        SetGadgetText(#Txt_Freq, StrF(((Val(sFreq) + iRXFreq) / 1000), 3) + " kHz")
        PSKCore_GetVectorData(@lVectDat(0), 0)
        StartDrawing(WindowOutput(0))
          Circle(610, 622, 45, RGB(0, 0, 96))
          Define iVectAnzX, iVectAnzY
          For i = 0 To 14 Step 2
            iVectAnzX = 44 * lVectDat(i) / 1000 : iVectAnzY = 44 * lVectDat(i + 1) / 1000
            LineXY(610, 622, 610 + iVectAnzX, 622 - iVectAnzY, RGB(255, 255, 0))
          Next
          SetGadgetText(#Txt_SMeter, Str(iSigQuality/10))
          Box(680, 566, 15, 101, RGB(0, 0, 96))
          Box(681, 567 + 99 - iSigQuality, 13, iSigQuality, RGB(255, 255, 0))
          StopDrawing()
          ;SetGadgetText(#Txt_SMtr, Str(iSigQuality))
      EndIf
    Case #PSK_CharReady
      WriteString(9, Chr(wParam))
      Select wParam
        Case 4
          If bPSKTX
            SetGadgetColor(iBtnNr, #PB_Gadget_FrontColor, #DBlue)
            If bTXAus
              PSKCore_StartTX(3)
              AddWindowTimer(#Wnd_Op, 0, 1000)
            EndIf
          EndIf
        Case 8
          sPSKRXData = ""
          iRes = SendMessage_(GadgetID(#Edt_PSKRXTxt), #EM_GETTEXTLENGTHEX, @gtle, 0)
          SendMessage_(GadgetID(#Edt_PSKRXTxt), #EM_SETSEL, iRes - 1, iRes)
          SendMessage_(GadgetID(#Edt_PSKRXTxt), #EM_REPLACESEL, 0, @sPSKRXData)
        Case 10, 13
          If bPSKRXDataCR = #False
            sPSKRXData = #CR$ : bPSKRXDataCR = #True
          EndIf
        Default
          sPSKRXData + Chr(wParam) : bPSKRXDataCR = #False
      EndSelect
      i = SendMessage_(GadgetID(#Edt_PSKRXTxt), #EM_GETTEXTLENGTHEX, @gtle, 0) + 1
      ii = i
      SendMessage_(GadgetID(#Edt_PSKRXTxt), #EM_SETSEL, ii, i)
      If bPSKTX : format\crTextColor = #Red : Else : format\crTextColor = #DBlue : EndIf
      SendMessage_(GadgetID(#Edt_PSKRXTxt), #EM_SETCHARFORMAT, #SCF_SELECTION, @format)
      SendMessage_(GadgetID(#Edt_PSKRXTxt), #EM_REPLACESEL, 0, @sPSKRXData)
      sPSKRXData = ""
      If i > 5000
        SendMessage_(GadgetID(#Edt_PSKRXTxt), #EM_SETSEL, 1, 100)
        SendMessage_(GadgetID(#Edt_PSKRXTxt), #EM_REPLACESEL, 0, @sPSKRXData)
        SendMessage_(GadgetID(#Edt_PSKRXTxt), #EM_SETSEL, i, i)
      EndIf
    Case #PSK_StatusChange
      iProgramStatus = wParam
    Case #PSK_IMDReady
      If lParam < 3
          SetGadgetText(#Txt_IMD, "IMD: " + Str(wParam) + " dB")
      EndIf
    Default
      ProcedureReturn CallWindowProc_(Old_PSK_Proc, hWnd, uMsg, wParam, lParam)
  EndSelect
EndProcedure
  


; IDE Options = PureBasic 5.61 (Windows - x86)
; CursorPosition = 189
; FirstLine = 165
; Folding = -
; EnableUnicode