﻿; Allgemeine Prozeduren
; DK1IO 08/07


Macro DBError()
  MessageRequester("Datenbankfehler", DatabaseError())
EndMacro

Procedure Grtr(iNum1, iNum2)
  If iNum1 > iNum2
    ProcedureReturn #True
  Else
    ProcedureReturn #False
  EndIf
EndProcedure

Procedure Less(iNum1, iNum2)
  If iNum1 < iNum2
    ProcedureReturn #True
  Else
    ProcedureReturn #False
  EndIf
EndProcedure

Procedure Equal(iNum1, iNum2)
  If iNum1 = iNum2
    ProcedureReturn #True
  Else
    ProcedureReturn #False
  EndIf
EndProcedure

Procedure Between(iNum1, iNum2, iNum3)
  If iNum1 > iNum2 And iNum1 < iNum3
    ProcedureReturn #True
  Else
    ProcedureReturn #False
  EndIf
EndProcedure

Procedure.s AddColumns(sSel.s, iListIcon)
  Define int1, i, str1.s, sRecSce.s
  ClearGadgetItems(iListIcon)
  For i = 25 To 0 Step -1
    RemoveGadgetColumn(iListIcon, i)
  Next
  i = 0
  DatabaseQuery(#DB, sSel)
  While NextDatabaseRow(#DB)
    str1 = GetDBString(#DB, "Titel")
    sRecSce + str1 + ", "
    int1 = GetDBLong(#DB, "Breite")
    AddGadgetColumn(iListIcon, i, str1, int1)
    Select str1
      Case "Neu", "QSLe", "QSLa", "DL0NRU", "QSLPrt"
        Define.LV_COLUMN lvcTemp
        lvcTemp\mask = #LVCF_FMT
        lvcTemp\fmt = #LVCFMT_CENTER
        SendMessage_(GadgetID(iListIcon), #LVM_SETCOLUMN, i, @lvcTemp)
    EndSelect
    i + 1
  Wend
  FinishDatabaseQuery(#DB)
  sRecSce = "SELECT " + Left(sRecSce, Len(sRecSce) - 2) + " FROM Tab_Log"
  ProcedureReturn sRecSce
EndProcedure

Procedure QSOB4(sRufz.s)
  Define i, j, sRecSce.s, sSel.s, str1.s, str2.s
  sSel = "SELECT * FROM Tab_AddGadgetColumn WHERE Kennz = 'QSOB4' ORDER BY Col"
  j = Len(sRufz)
  i = FindString(sRufz, "/", 1)
  If i
    If i > (j - i)
      sRufz = Left(sRufz, i - 1)
    Else
      sRufz = Right(sRufz, j - i)
    EndIf
  EndIf
  DatabaseQuery(#DB, "SELECT DISTINCT Name FROM Tab_Log WHERE Name <> '' AND Rufzeichen LIKE '%" + sRufz + "'")
  If FirstDatabaseRow(#DB)
    SetGadgetText(#Str_Name, GetDatabaseString(#DB, 0))
  EndIf
  FinishDatabaseQuery(#DB)
  sRecSce = AddColumns(sSel, #LI_QSOB4) + " WHERE Rufzeichen LIKE '%" + sRufz + "'"
  If bETPAQSOB4
    i = FindString(sRecSce, "FROM", 1) - 1
    sRecSce = InsertString(sRecSce, ", EETPA ", i) + " AND EETPA = '" + sEETPA + "'"
  EndIf
  DatabaseQuery(#DB, sRecSce)
  If FirstDatabaseRow(#DB)
    SetGadgetData(#LI_QSOB4, #True)
    HideGadget(#Btn_FreqDn, 1) : HideGadget(#Btn_FreqUp, 1) : HideGadget(#Img_Wf, 1)
    HideGadget(#Txt_Freq, 1) : HideGadget(#Txt_IMD, 1) :HideGadget(#Txt_SMeter, 1)
    HideGadget(#Txt_Datum, 1) : HideGadget(#Txt_Zeit, 1)
    iRes = FillListIcon(sRecSce, #LI_QSOB4)
    iNumQSOB4 = iRes
    sDatLastQSOB4  = GetGadgetItemText(#LI_QSOB4, iRes - 1, 3)
    sBandLastQSOB4 = GetGadgetItemText(#LI_QSOB4, iRes - 1, 7)
    sModeLastQSOB4 = GetGadgetItemText(#LI_QSOB4, iRes - 1, 8)
    SetGadgetText(#Str_Name, GetGadgetItemText(#LI_QSOB4, iRes - 1, 10))
    HideGadget(#LI_QSOB4, 0)
  EndIf
  FinishDatabaseQuery(#DB)
EndProcedure

Procedure.s GetQuery(sLandKen.s)
  DatabaseQuery(#DB, "SELECT SQL FROM Tab_Query WHERE LandKen = '" + sLandKen + "'")
  FirstDatabaseRow(#DB)
  ProcedureReturn GetDBString(#DB, "SQL")
  FinishDatabaseQuery(#DB)
EndProcedure

Procedure FillListIcon(sRecSce.s, iListIcon)
  Define i, ii, str1.s, str2.s
  OpenDatabase(#DB1, "C:\Users\RL\Documents\SQLite\Log DK1IO FT991.db3", "", "")
  DatabaseQuery(#DB, sRecSce)
  While NextDatabaseRow(#DB)
    AddGadgetItem(iListIcon, i, "" + #LF$)
    For ii = 0 To DatabaseColumns(#DB) - 1
      str1 = GetDatabaseString(#DB, ii)
      If ii = 2
        DatabaseQuery(#DB1, "SELECT Rufz FROM Tab_EigRufz WHERE Kz = '" + GetDatabaseString(#DB, ii) + "'")
        FirstDatabaseRow(#DB1)
        str2 = GetDatabaseString(#DB1, 0)
        FinishDatabaseQuery(#DB1)
        str1 = str2
        str2 = GetDatabaseString(#DB, 3)
        If str2 : str1 + "/" + str2 : EndIf
        str2 = GetDatabaseString(#DB, 4)
        If str2 : str2 + "/" + str1 : str1 = str2 : EndIf
      EndIf
      If ii > 0
        Select str1
          Case "0"
            str1 = Chr($A3)
          Case "1", "-1"
            str1 = Chr($53)
        EndSelect
      EndIf
      SetGadgetItemText(iListIcon, i, str1, ii)
    Next
    i + 1
  Wend
  FinishDatabaseQuery(#DB)
  ;SetGadgetItemText(iListIcon, -1, "Eig. Rufz.", iMP)
  CloseDatabase(#DB1)
  ProcedureReturn i
EndProcedure

Procedure IOTA(str$)
  Select Left(str$, 3)
    Case "AF-", "AN-", "AS-", "EU-", "NA-", "OC-", "SA-"
      Define.s sRecSce = "SELECT IOTA FROM Tab_Log WHERE Mode LIKE '%PSK%' AND IOTA = '" + str$ + "'"
      DatabaseQuery(#DB, sRecSce)
      Select FirstDatabaseRow(#DB)
        Case #False
          SetGadgCol(#Str_IOTA, #Red, #LogCol)
        Case #True
          SetGadgCol(#Str_IOTA, #DBlue, #LogCol)
      EndSelect
      FinishDatabaseQuery(#DB)
      SetGadgetText(#Str_IOTA, str$)
  EndSelect
EndProcedure

Procedure Is(str1.s, str2.s)
  If str1 = str2
    ProcedureReturn #True
  Else
    ProcedureReturn #False
  EndIf
EndProcedure

Procedure SetPower(iUpDn)
  SetGadgetData(#Txt_Power, GetGadgetData(#Txt_Power) + iUpDn)
  Select GetGadgetData(#Txt_Power)
    Case 0
      SetGadgetData(#Txt_Power, 1)
    Case 9
      SetGadgetData(#Txt_Power, 8)
  EndSelect
  DatabaseQuery(#DB, "SELECT RowID, Power FROM Tab_Power WHERE RowID = " + Str(GetGadgetData(#Txt_Power)))
  FirstDatabaseRow(#DB)
  sPwr = GetDatabaseString(#DB, 1)
  FinishDatabaseQuery(#DB)
  SetGadgetText(#Txt_Power, sPwr + " W")
  Pwr$ = "PC" + RSet(sPwr, 3, "0") + ";"
  WriteSerialPortString(#COM_FT991, Pwr$)
EndProcedure 

Procedure SetFreq()
  Define int1 = GetGadgetData(#Txt_Band)
  SetGadgetText(#Txt_Band, Str(int1) + " m")
  DatabaseQuery(#DB, "SELECT * FROM Tab_Band_Freq WHERE Band = " + Str(GetGadgetData(#Txt_Band)))
  FirstDatabaseRow(#DB)
  sFreq = GetDBString(#DB, "PSK_DU")
  FinishDatabaseQuery(#DB)
  WriteSerialPortString(#COM_FT991, "FA" + sFreq + ";")
  WriteSerialPortString(#COM_FT991, "AB")
  int1 = Val(sFreq) + iRXFreq - 1500
  Define str$ = RSet(Str(int1), 9, "0")
  WriteSerialPortString(#COM_FT991, "FB" + str$ + ";")
EndProcedure

Procedure EntfBer()
  Define.d B1, B2, dL, L1, L2, cosE, dB
  Define E, W
  B1 = ((Asc(Mid(sELoc, 2, 1)) - 74) * 10 + (Asc(Mid(sELoc, 4, 1)) - 48) + (Asc(Mid(sELoc, 6, 1)) - 65) / 24 + 1 / 48) / 180 * #PI
  L1 = ((Asc(Mid(sELoc, 1, 1)) - 74) * 20 + (Asc(Mid(sELoc, 3, 1)) - 48) * 2 + (Asc(Mid(sELoc, 5, 1)) - 65) / 12 + 1 / 24) / 180 * #PI
  sLoc = GetGadgetText(#Str_Locator)
  B2 = ((Asc(Mid(sLoc, 2, 1)) - 74) * 10 + (Asc(Mid(sLoc, 4, 1)) - 48) + (Asc(Mid(sLoc, 6, 1)) - 65) / 24 + 1 / 48) / 180 * #PI
  L2 = ((Asc(Mid(sLoc, 1, 1)) - 74) * 20 + (Asc(Mid(sLoc, 3, 1)) - 48) * 2 + (Asc(Mid(sLoc, 5, 1)) - 65) / 12 + 1 / 24) / 180 * #PI
  dL = L2 - L1
  E = ACos(Sin(B1) * Sin(B2) + Cos(B1) * Cos(B2) * Cos(dL)) * 6371
  W = ATan2(Cos(B1) * Sin(B2) - Sin(B1) * Cos(B2) * Cos(dL), Sin(dL) * Cos(B2)) / #PI * 180
  If W < 0 : W + 360 : EndIf
  SetGadgetText(#Txt_Entf, " " + Str(E) + " km") : SetGadgetText(#Txt_Ri, Str(W) + "°")
  SetGadgetData(#Txt_Ri, W)
  Define.s sRecSce
  sRecSce = "SELECT COUNT(*) FROM Tab_Log WHERE SUBSTR(Loc, 1, 4) = '" + Left(GetGadgetText(#Str_Locator), 4) + "'"
  DatabaseQuery(#DB, sRecSce)
  FirstDatabaseRow(#DB)
  If GetDatabaseLong(#DB, 0) = 0
    SetGadgCol(#Str_Locator, #Red, #LogCol)
  Else
    SetGadgCol(#Str_Locator, #DBlue, #LogCol)
  EndIf
  FinishDatabaseQuery(#DB)
EndProcedure

Procedure Locatorberechnung()
  Define int1, int2, iLat1, iLat2, iLong1, iLong2
  Define.s sLat, sLong
  sLat = InputRequester("Locatorberechnung", "Breite", "")
  sLong = InputRequester("Locatorberechnung", "Länge", "")
  int1 = FindString(sLong, ",", 1)
  iLong1 = Val(Left(sLong, int1 - 1))
  iLong2 = Val(Right(slong, Len(sLong) - int1))
  If iLong1 < 0
    sELoc = Chr(Asc("I") + iLong1 / 20)
  Else
    sELoc = Chr(Asc("J") + iLong1 / 20)
  EndIf
  int1 = FindString(sLat, ",", 1)
  iLat1 = Val(Left(sLat, int1 - 1))
  iLat2 = Val(Right(sLat, Len(sLat) - int1))
  If iLat1 < 0
    sELoc + Chr(Asc("I") + iLat1 / 10)
  Else
    sELoc + Chr(Asc("J") + iLat1 / 10)
  EndIf
  int1 = (iLong1 % 20) / 2
  sELoc + Chr(Asc("0") + int1)
  sELoc + Str(iLat1 % 10)
  int1 = ((iLong1 % 2) * 60 + iLong2) / 5
  sELoc + Chr(Asc("A") + int1)
  sELoc + Chr(Asc("A") + iLat2 / 2.5)
  DatabaseUpdate(#DB, "UPDATE Tab_Start SET ELoc = '" + sELoc + "'")
EndProcedure

Procedure WriteDTG(str1.s)
  Define.s sDTG
  Define iDat = Date()
  GetSystemTime_(@yST)
  sDTG = #LF$ + #CR$ + "   " + FormatDate("%dd-%mm-%yyyy %hh%ii", AddDate(iDat, #PB_Date_Hour, iTimeOffset)) + #LF$ + #CR$
  WriteStringN(9, #LF$ + #CR$ + #LF$ + #CR$ + str1 + "  " + sDTG)
EndProcedure

Procedure WindowClose()
  DatabaseUpdate(#DB, "UPDATE Tab_Start SET Mode = '" + GetGadgetText(#Txt_Mode) + "'")
  DatabaseUpdate(#DB, "UPDATE Tab_Start SET LfdNr = " + Str(GetGadgetData(#Str_LfdNr)))
  DatabaseUpdate(#DB, "UPDATE Tab_Start SET Band = " + Str(GetGadgetData(#Txt_Band)))
  WriteSerialPortString(#COM_FT991, "PS0;")
  CloseDatabase(#DB)
  DeleteObject_(FrameTextForeground) : DeleteObject_(FrameTextBackground)
  WriteDTG("Stop")
  CloseFile(9)
  End
EndProcedure

Procedure Reset()
  If GetGadgetData(#Txt_LfdNr) = #False
    SetGadgetText(#Txt_LfdNr, "IOTA") : SetGadgetText(#Str_LfdNr, "")
    SetGadgetColor(#Str_LfdNr, #PB_Gadget_FrontColor, #DBlue)
  EndIf
  SetGadgetText(#Str_Rufzeichen,"") : SetGadgetText(#Str_Via,"")
  SetGadgetText(#Str_AndRufz,"") : SetGadgetText(#Str_RSTr,"")
  SetGadgetText(#Str_RSTs,"") : SetGadgetText(#Str_Name,"")
  SetGadgetText(#Str_QTH,"") : SetGadgetText(#Str_IOTA, "")
  SetGadgetText(#Str_Bemerkungen,"") : SetGadgetText(#Str_Locator,"")
  SetGadgetText(#Txt_Entf, "") : SetGadgetText(#Txt_Ri, "")
  SetGadgetText(#Txt_Land, "") : SetGadgetText(#Str_Comment, "")
  SetGadgetText(#Str_UTC, "")
  SetGadgetText(#Btn_Sprache, "E")
  SetGadgetColor(#Btn_QSLa, #PB_Gadget_FrontColor, #DBlue) : SetGadgetData(#Btn_QSLa, 0)
  SetGadgetColor(#Txt_Locator, #PB_Gadget_FrontColor, #DBlue)
  SetGadgCol(#Txt_Land0, #DBlue, #CntCol)
  SetGadgCol(#Str_Name, #DBlue, #LogCol)
  HideGadget(#Str_Comment, 1) : HideGadget(#Str_Bemerkungen, 0)
  HideGadget(#LI_QSOB4, 1) : HideGadget(#Str_Update0, 1) : HideGadget(#Str_Update1, 1)
  SetGadgetData(#Cnt_Log, #Str_Rufzeichen)
  ClearGadgetItems(#LI_QSOB4)
  Define i
  For i = 25 To 1 Step -1
    RemoveGadgetColumn(#LI_QSOB4, i)
  Next
  iNumQSOB4 = 0 : iYL = #False
  SetGadgCol(#Txt_Land, #DBlue, #LBlue)
  SetGadgetData(#LI_QSOB4, #False)
  SetGadgetData(#LI_QSOB4, #False) : HideGadget(#Img_Wf, 0)
  HideGadget(#Btn_FreqDn, 0) : HideGadget(#Btn_FreqUp, 0) : HideGadget(#Cnt_WX, 0)
  HideGadget(#Txt_Freq, 0) : HideGadget(#Txt_IMD, 0) : HideGadget(#Txt_SMeter, 0)
  HideGadget(#Txt_Datum, 0) : HideGadget(#Txt_Zeit, 0)
  SetGadgCol(#Txt_Rufzeichen, #DBlue, #CntCol)
  WriteSerialPortString(#COM_FT991, "RC;") : WriteSerialPortString(#COM_FT991, "RT0;")
  SetActiveGadget(#Str_Rufzeichen)
EndProcedure

Procedure.s SuchenText(str2.s, sLang.s)
  Define int1, int2, str1.s, str3.s, str4.s
  Repeat
    str4 = ""
    int1 = FindString(str2,"'",1)
    If int1 = 0
      Break
    EndIf
    int2 = FindString(str2,"'",int1 + 1)
    str3 = Mid(str2, int1 + 1, int2 - 1 - int1)
    Select str3
      Case "Ant"
        str4 = sAnt
      Case "CALL"
        str4 = GetGadgetText(#Str_Rufzeichen)
      Case "CallRprt"
        If GetGadgetText(#Str_RSTr)
          If GetGadgetText(#Btn_Sprache) = "D" : str4 = "rapport " : Else : str4 = "report " : EndIf
        Else
          If GetGadgetText(#Btn_Sprache) = "D" : str4 = "anruf " : Else : str4 = "call " : EndIf
        EndIf
        If GetGadgetText(#Str_QTH)
          If GetGadgetText(#Btn_Sprache) = "D" : str4 + "aus " : Else : str4 + "from " : EndIf  
          str4 + GetGadgetText(#Str_QTH) + " "
        EndIf
      Case "DOK"
        If GetGadgetText(#Btn_Sprache) = "D"
          str4 = "DOK:          H61 H61"
        Else
          str4 = Chr(8)
        EndIf
      Case "DTG"
        Define.s sDat, sTim
        GetSystemTime_(@yST)
        Define iDat = Date()
        Define iTim = Val(FormatDate("%hh", iDat))
        If iTim < yST\wHour : iTim + 24 : EndIf
        iDat = AddDate(iDat, #PB_Date_Hour, yST\wHour - iTim)
        iDat = AddDate(iDat, #PB_Date_Second, Len(str2) * 0.23)
        sDat = FormatDate("%dd", iDat) + " " + sMonth(Val(FormatDate("%mm", iDat))) + " " + FormatDate("%yyyy", iDat)
        sTim = FormatDate("%hh:%ii", iDat)
        str4 = sDat + ",  " + sTim + " UTC"
      Case "ECOTA"
        str4 = sECOTA
      Case "EigCall"
        str4 = sEigRufz
      Case "ETPA"
        str4 = "ETPA:  " + sEETPA
      Case "EQTH"
        If Len(sEQTH)
          str4 = sEQTH
        Else
          If GetGadgetText(#Btn_Sprache) = "D"
            str4 = "Neustadt am Rübenberge"
          Else
            str4 = "Neustadt"
          EndIf
        EndIf
      Case "GB"
        Select iDXCC
          Case 227
            str4 = "au revoir "
          Case 225, 248
            str4 = "arrivederci "
          Case 269
            str4 = "do widzenia "
          Case 15, 54, 126
            str4 = "do svidanija "
          Case 21, 29, 32, 50, 70, 100, 116, 144, 148, 281
            str4 = "adios amigo " : sLang = "Span"
          Case 339
            str4 = "sayonara "
          Default
            str4 = "good bye "
        EndSelect
      Case "IOTA"
        If sEIOTA : str4 = "IOTA " + sEIOTA : EndIf 
      Case "LfdNr"
        str4 = GetGadgetText(#Str_LfdNr)
      Case "LH"
        If sLH > ""
          str4 = "LH: " + sLH
        EndIf
      Case "Loc"
        str4 = sELoc
      Case "NAME" 
        str4 = GetGadgetText(#Str_Name)
      Case "OP"
        If EigRufz$ = "DL0NRU"
          str4 = "Reinhard (DK1IO)"
        Else
          str4 = "Reinhard"
        EndIf
      Case "POWER"
        str4 = GetGadgetText(#Txt_Power)
        Select GetGadgetText(#Txt_Power)
          Case "75 W", "100 W"
            str4 = "50 W"
        EndSelect
      Case "QSL"
        If GetGadgetColor(#Btn_QSLa, #PB_Gadget_FrontColor) = #Red
          str4 = #CR$ + #LF$ + "QSL ok via buro / eQSL"
        Else
          str4 = Chr(8)
        EndIf
      Case "QTH"
        If GetGadgetText(#Btn_Sprache) = "D" : str4 = "aus " : Else : str4 = "from " : EndIf
        str4 + GetGadgetText(#Str_QTH)
      Case "Ref"
        Select GetGadgetText(#Btn_Begr)
          Case "ETPA"
            str4 = "ETPA:  " + sEETPA
          Case "SOTA"
            str4 = "SOTA:  " + sESOTA
          Case "ETSO"
            str4 = "SOTA:  " + sESOTA + #LF$ + "ETPA:  " + sEETPA
        EndSelect
      Case "RSTs"
        str1 = GetGadgetText(#Str_RSTs)
        If str1 : str4 = str1 : Else : str4 = "579" : EndIf
      Case "ShortLoc"
        str4 = Left(sELoc, 4)
      Case "SOTA"
        If sESOTA : str4 = "SOTA:  " + sESOTA : EndIf
      Case "ToD"
        str4 = sTimeOfDay
        If GetGadgetText(#Btn_Sprache) = "D"
          Select sTimeOfDay
            Case "morning"
              str4 = "Morgen"
            Case "afternoon"
              str4 = "Nachmittag"
            Case "evening"
              str4 = "Abend"
          EndSelect
        EndIf
      Case "WX"
        str4 = ""
        Select GetGadgetText(#Btn_Sprache)
          Case "E"
            str1 = GetGadgetText(#Str_WXE)
            If str1 And str1 <> "WX E"
              str4 = "WX:               " + str1 + ", Temp " + GetGadgetText(#Str_Temp) + "°"
            Else
              int1 - 1
            EndIf
          Default
            str1 = GetGadgetText(#Str_WXD)
            If str1 And str1 <> "WX D"
              str4 = "WX:               " + str1 + ", Temp " + GetGadgetText(#Str_Temp) + "°"
            Else
              int1 - 1
            EndIf
        EndSelect
    EndSelect
    str2 = Left(str2, int1 - 1) + str4 + Right(str2, Len(str2) - int2)
  ForEver
  ProcedureReturn str2
EndProcedure

Procedure SetWindow()
  Define i, str$
  For i = 0 To 2
    WriteSerialPortString(#COM_FT991, "PS1;")
    Delay(10)
  Next
  Delay(500)
  PurgeComm_(SerialPortID(#COM_FT991), #PURGE_RXCLEAR)
  WriteSerialPortString(#COM_FT991, "FA;")
  Delay(50)
  i = AvailableSerialPortInput(#COM_FT991)
  ReadSerialPortData(#COM_FT991, *CommRxBuf, i)
  str$ = PeekS(*CommRxBuf, i, #PB_Ascii)
  If Left(str$, 2) = "FA"
    sFreq = Mid(str$, 4, 2)
    DatabaseQuery(#DB, "SELECT Band, PSK_DU FROM Tab_Band_Freq WHERE MHz = " + sFreq)
    FirstDatabaseRow(#DB)
    SetGadgetData(#Txt_Band, GetDatabaseLong(#DB, 0))
    SetGadgetText(#Txt_Band, GetDatabaseString(#DB, 0) + " m")
    FinishDatabaseQuery(#DB)
  Else
    MessageRequester("Fehler", "Der FT991 reagiert nicht")
  EndIf
  WriteSerialPortString(#COM_FT991, "MD0C;")
  WriteSerialPortString(#COM_FT991, "LK1;")
  WriteSerialPortString(#COM_FT991, "QS;")
  DatabaseQuery(#DB, "SELECT COUNT(*) FROM Tab_Log")
  FirstDatabaseRow(#DB)
  SetGadgetText(#Txt_QSONr, Str(GetDatabaseLong(#DB, 0) + 1))
  FinishDatabaseQuery(#DB)
  SetGadgetText(#Txt_Mode, "BPSK31")                ; Betriebsart anzeigen
  SetPSK() : SetFreq()
  HideWindow(#Wnd_Op, 0)
  SetPower(0)
  SetWindowTitle(#Wnd_Op, "Log DK1IO - QRV: " + sEigRufz)
  SetActiveGadget(#Str_Rufzeichen)
EndProcedure

Procedure GetLK(sRufz.s)
  Define.s sRecSce
  Define sRufz1.s = Left(sRufz, 1), sRufz2.s = Left(sRufz, 2), sRufz3.s = Left(sRufz, 3)
  Define sRufz4.s = Left(sRufz, 4), sRufz5.s = Right(sRufz3, 1), sRufz6.s = Right(sRufz4, 1)
  sRecSce = "SELECT * FROM Tab_Prefix WHERE '" + sRufz2 + "' BETWEEN Px1 AND Px2 AND '" + sRufz5 + "' BETWEEN Px3 AND Px4 AND (('" + sRufz6 + "' BETWEEN Px5 AND Px6) OR ('" + sRufz6 + "' LIKE Px5))"
  DatabaseQuery(#DB, sRecSce)
  FirstDatabaseRow(#DB)
  LK$ = GetDBString(#DB, "Landeskenner")
  Select LK$
    Case "DL", "OE"
      SetGadgetText(#Btn_Sprache, "D")
  EndSelect
EndProcedure

Procedure RufzGadgLostFocus(GadgetNr)
  Define.s sPfx, sRecSce, sRecSce1, sRecSce2, sRufz = GetGadgetText(GadgetNr), sLand, sSfx
  Define i = Len(sRufz)
  If i > 2
    If FindString(sRufz, "/", 5)
      Repeat
        If Mid(sRufz, i, 1) = "/"
          Select Right(sRufz, Len(sRufz) - i)
            Case "A", "J", "M", "P", "LH", "LS", "LV", "QRP", "JOTA"
              sRufz = Left(sRufz, i - 1)
            Case "0", "1", "2", "3", "4", "5", "6", "7", "8", "9"
              
            Default
              sRufz = Right(sRufz, Len(sRufz) - i) + "/" + Left(sRufz, i - 1)
          EndSelect
        EndIf
        i - 1
      Until i = 4
    EndIf
    GetLK(sRufz)
    SetGadgetText(#Txt_Land, " " + GetDBString(#DB, "Land"))
    iDXCC = GetDBLong(#DB, "DXCC")
    LK$ = GetDBString(#DB, "Landeskenner")
    Define sKont.s = GetDBString(#DB, "Kont")
    Define.f fTimeOffset = GetDatabaseFloat(#DB, DatabaseColumnIndex(#DB, "TZ"))
    FinishDatabaseQuery(#DB)
    GetSystemTime_(@yST)
    Define ihour = yST\wHour
    Define.f fLocalTime = ihour + fTimeOffset
    If fLocaltime > 24
      fLocalTime - 24
    ElseIf fLocalTime < 0
      fLocalTime + 24
    EndIf
    Select fLocalTime
      Case 0.0 To 11.0
        sTimeOfDay = "morning"
      Case 12.0 To 17.0
        sTimeOfDay = "afternoon"
      Case 18.0 To 23.0
        sTimeOfDay = "evening"
    EndSelect
    If FindString(sRufz, "/", 5)
      Select iDXCC
        Case 15, 54, 126
          Select Right(sRufz, 1)
            Case "0", "9"
              iDXCC = 15
            Case "2"
              iDXCC = 126
            Default
              iDXCC = 54
          EndSelect
          sRecSce1 = "DXCC = " + Str(iDXCC)
        Case 21,29, 32, 281
          Select Right(sRufz, 1)
            Case "6"
              iDXCC = 21
            Case "8"
              iDXCC = 29
            Case "9"
              iDXCC = 32
            Default
              iDXCC = 281
          EndSelect
          sRecSce1 = "DXCC = " + Str(iDXCC)
        Case 40, 45, 236
          Select Right(sRufz, 1)
            Case "5"
              iDXCC = 45
            Case "9"
              iDXCC = 40
            Default
              iDXCC = 236
          EndSelect
          sRecSce1 = "DXCC = " + Str(iDXCC)
        Case 390
          If Right(sRufz, 1) = "1"
            sRecSce1 = "Rf = 'TA1'"
          Else
            sRecSce1 = "Rf = 'TA2'"
          EndIf
      EndSelect
      sRecSce = "SELECT Land, Kont FROM Tab_Prefix WHERE "
      DatabaseQuery(#DB, sRecSce + sRecSce1)
      FirstDatabaseRow(#DB)
      SetGadgetText(#Txt_Land, GetDatabaseString(#DB, 0))
      sKont = GetDatabaseString(#DB, 1)
      FinishDatabaseQuery(#DB)
    EndIf
    If iDXCC = 0 : MessageRequester("Fehler", "Bei der Prefixsuche ist ein Fehler aufgetreten!") : EndIf
    If Right(sRufz, 3) = "/MM" : iDXCC = #Null : EndIf
    sRecSce = "SELECT rowid FROM Tab_Log WHERE Mode LIKE '%PSK%' AND DXCC = " + Str(iDXCC)
    If DatabaseQuery(#DB, sRecSce)
      If FirstDatabaseRow(#DB)
        SetGadgCol(#Txt_Land, #DBlue, #LBlue)
      Else
        If iDXCC
          SetGadgCol(#Txt_Land, #Red, #LBlue)
        Else
          iDXCC = #Null : SetGadgCol(#Txt_Land, #Red, #Red)
        EndIf
      EndIf
    Else
      DBError()
    EndIf
    FinishDatabaseQuery(#DB)
    If DatabaseQuery(#DB, sRecSce + " AND (Power < 6)")
      If FirstDatabaseRow(#DB)
        SetGadgetColor(#Txt_Land0, #PB_Gadget_FrontColor, #DBlue)
      Else
        SetGadgetColor(#Txt_Land0, #PB_Gadget_FrontColor, #Red)
      EndIf
    Else
      DBError()
    EndIf 
    FinishDatabaseQuery(#DB)
    If Right(sRufz, 3) = "QRP"
      If DatabaseQuery(#DB, sRecSce + " AND (Rufzeichen LIKE '%/QRP' OR Comment = 'QRP')")
        If FirstDatabaseRow(#DB)
          SetGadgetColor(#Txt_Land0, #PB_Gadget_BackColor, #CntCol)
        Else
          SetGadgetColor(#Txt_Land0, #PB_Gadget_BackColor, #LBlue)
        EndIf
      Else
        DBError()
      EndIf
      FinishDatabaseQuery(#DB)
    EndIf
    Define.s sRufz1 = Left(sRufz, 3) : sPfx = sRufz1
    If Right(sRufz1, 1) > "9" Or Mid(sRufz1, 2, 1) = "/"
      sPfx = Left(sRufz1, 2)
    EndIf
    sRufz1 = sRufz
    Repeat
      iRes = FindString(sRufz1, "/", 1)
      If iRes
        If iRes > Len(sRufz1) / 2
          sRufz1 = Left(sRufz1, iRes - 1) : sRufz = sRufz1
        Else
          sRufz1 = Right(sRufz1, Len(sRufz1) - iRes)
          GetLK(sRufz1)
        EndIf
      EndIf
    Until iRes = 0
    For i = Len(sRufz1) To 1 Step -1
      If Mid(sRufz1, i, 1) >= "0" And Mid(sRufz1, i, 1) <= "9"
        Break
      EndIf
    Next
    sSfx = Right(sRufz1, Len(sRufz1) - i)
    sRecSce = "SELECT QSLe FROM Tab_Log WHERE Mode LIKE '%PSK%' AND Datum > '1999-12-31' AND Band > 6 AND Rufzeichen LIKE '%" + sSfx + "%'"
    If DatabaseQuery(#DB, sRecSce)
      If FirstDatabaseRow(#DB) = #False
        SetGadgCol(#Txt_Rufzeichen, #DGreen, #CntCol)
      EndIf
    Else
      DBError()
    EndIf
    FinishDatabaseQuery(#DB)
    sRecSce = "SELECT * FROM Tab_EPC_Members WHERE Rufzeichen = '" + sRufz + "'"
    If DatabaseQuery(#DB, sRecSce)
      If FirstDatabaseRow(#DB) = #False
        SetGadgCol(#Str_Rufzeichen, #DBlue, #LogCol)
      Else
        Define str1.s = GetDBString(#DB, "Area")
        If str1
          FinishDatabaseQuery(#DB)
          sRecSce = "SELECT DISTINCT Rufzeichen FROM Tab_Log WHERE Datum > '2006-06-09' AND (Rufzeichen = '" + sRufz + "' OR Rufzeichen LIKE '" + sRufz + "/%') AND Band > 6 AND Mode LIKE '%PSK%'"
          If DatabaseQuery(#DB, sRecSce)
            If FirstDatabaseRow(#DB)
              SetGadgCol(#Str_Rufzeichen, #DGreen, #LogCol)
            Else
              FinishDatabaseQuery(#DB)
              sRecSce = "SELECT A.Rufzeichen FROM (SELECT Rufzeichen FROM Tab_EPC_Members WHERE Area = '" + str1 + "') AS A, (SELECT DISTINCT Rufzeichen FROM Tab_Log WHERE Datum > '2006-06-09' AND Band > 6 AND Mode LIKE '%PSK%') AS B ON A. Rufzeichen = B.Rufzeichen"
              If DatabaseQuery(#DB, sRecSce)
                If FirstDatabaseRow(#DB)
                  SetGadgCol(#Str_Rufzeichen, RGB($84, $25, $7b), #LogCol)
                Else
                  SetGadgCol(#Str_Rufzeichen, #Red, #LogCol)
                EndIf
              Else
                DBError()
              EndIf
              FinishDatabaseQuery(#DB)
            EndIf
          Else
            DBError()
          EndIf  
        Else
          sRecSce = "SELECT DISTINCT Rufzeichen FROM Tab_Log WHERE Datum > '2006-06-09' AND Rufzeichen = '" + sRufz + "' AND Band > 6 AND Mode LIKE '%PSK%'"
          If DatabaseQuery(#DB, sRecSce)
            If FirstDatabaseRow(#DB)
              SetGadgCol(#Str_Rufzeichen, #DGreen, #LogCol)
            Else
              SetGadgCol(#Str_Rufzeichen, #Blue, #LogCol)
            EndIf 
          Else
            DBError()
          EndIf 
          FinishDatabaseQuery(#DB)
        EndIf
      EndIf
    Else
      DBError()
    EndIf
    QSOB4(sRufz)
  EndIf
EndProcedure

; IDE Options = PureBasic 5.61 (Windows - x86)
; CursorPosition = 458
; FirstLine = 442
; Folding = ----
; Executable = Log DK1IO.exe
; CPU = 1
; DisableDebugger
; IncludeVersionInfo
; VersionField0 = 3.0.0
; VersionField1 = 3.0.0
; VersionField3 = Log DK1IO
; VersionField4 = 3.1.0
; VersionField5 = 3.1.0
; VersionField6 = Include-Datei mit allgemein verwendeten Prozeduren
; VersionField8 = LogGenProc.pbi
; VersionField13 = dk1io@arcor.de
; EnableUnicode